.header {
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
}

.page-header .header__contents {
  background-color: rgba(245, 255, 250, 0);
  transition: background-color 0.3s ease;
}
.page-header.is-scroll .header__contents {
  background-color: rgba(245, 255, 250, 0.3);
}

.header-top {
  align-items: flex-start;
  background-color: #f6f5f3;
  display: flex;
  flex-direction: column;
  font-size: 10px;
  font-weight: 500;
  gap: 5px;
  line-height: calc(15 / 10);
  padding: 7px 10px;
  width: 100%;
}

.header-top__name {
  color: #30634b;
  flex-shrink: 0;
  letter-spacing: 0.05em;
}

.header-top__contents {
  -moz-column-gap: 17px;
       column-gap: 17px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  margin-left: auto;
  row-gap: 5px;
}
.header-top__contents .c-label-branch__title {
  padding: 0px 7px;
}
.header-top__contents .c-label-branch__title p:nth-of-type(2) {
  padding-left: 5px;
}
.header-top__contents .c-label-branch__title,
.header-top__contents .c-label-branch__num {
  font-size: 10px;
}

.header__contents {
  align-items: center;
  background-color: #F5FFFA;
  display: flex;
  padding: 10px;
}

.header-logo {
  align-items: center;
  display: flex;
  gap: 5px;
}
.header-logo__img {
  aspect-ratio: 59/66;
  flex-shrink: 0;
  overflow: hidden;
  width: 45px;
}
.header-logo__img img {
  -o-object-fit: contain;
     object-fit: contain;
}
.header-logo__desc {
  color: #30634b;
  font-size: 10px;
  font-weight: 500;
  line-height: calc(15 / 10);
}
.header-nuv {
  align-items: center;
  display: flex;
  margin-left: auto;
}
.header-nuv__list {
  display: none;
}
.header-nuv__item > p {
  letter-spacing: 0.05em;
}

.header-bnr {
  margin-left: 10px;
}

a.header-bnr__link {
  align-items: center;
  background-color: #30634b;
  border-radius: 999px;
  display: flex;
  gap: 5px;
  padding: 16px 10px;
}
a.header-bnr__link p {
  color: #fff;
  font-size: 12px;
  font-weight: 500;
  letter-spacing: 0.05em;
}

.header-bnr__img {
  aspect-ratio: 15/11;
  display: block;
  width: 15px;
}
.header-bnr__img img {
  -o-object-fit: contain;
     object-fit: contain;
}

.header-btn {
  background-color: #f6f5f3;
  border: solid 1px #d9e0dd;
  border-radius: 50%;
  cursor: pointer;
  flex-shrink: 0;
  height: 54px;
  margin-left: 5px;
  transition: opacity 0.3s ease;
  width: 54px;
}
.header-btn:hover {
  opacity: 0.7;
}
.header-btn.is-open .header-btn__bar-line {
  border-radius: 0;
}
.header-btn.is-open .header-btn__bar-line:nth-of-type(1) {
  left: 50%;
  transform: translate(-50%, -50%) rotate(35deg);
  width: 30px;
}
.header-btn.is-open .header-btn__bar-line:nth-of-type(2) {
  display: none;
}
.header-btn.is-open .header-btn__bar-line:nth-of-type(3) {
  left: 50%;
  transform: translate(-50%, -50%) rotate(-35deg);
  width: 30px;
}

.header-btn__bar {
  height: 100%;
  position: relative;
  width: 100%;
}

.header-btn__bar-line {
  background: #30634b;
  border-radius: 50%;
  height: 4px;
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: transform 0.3s ease-in, left 0.3s ease-in, width 0.3s ease-in, border-radius 0.3s ease-in;
  width: 4px;
}
.header-btn__bar-line:nth-of-type(1) {
  left: calc(50% - 8px);
}
.header-btn__bar-line:nth-of-type(3) {
  left: calc(50% + 8px);
}

.header-drawer {
  background-color: #30634b;
  height: calc(100vh - 140px);
  min-width: 275px;
  overflow: auto;
  padding-inline: 40px;
  padding-top: 7vh;
  position: fixed;
  right: 0;
  top: 140px;
  transform: translateX(100%);
  transition: transform 0.6s ease;
  width: 50%;
  z-index: 98;
}
.header-drawer.is-checked {
  transform: translateX(0);
}
.header-drawer .header-link-head__sns {
  gap: 20px;
  justify-content: center;
  margin-top: 22px;
}

.header-drawer__list {
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-inline: auto;
  max-width: 250px;
  width: 100%;
}

a.header-drawer__item {
  color: #fff;
  font-size: 15px;
  font-weight: 500;
  padding-block: 15px;
  text-align: center;
  width: 100%;
}

@media (min-width: 768px) {
  .header-top {
    align-items: center;
    flex-direction: row;
    gap: 10px;
    justify-content: space-between;
    padding: 8px 30px 8px;
  }
  .header-top__contents {
    align-items: center;
    display: flex;
    flex-direction: row;
  }
  .header__contents {
    padding: 15px 30px 7px 33px;
  }
  .header-logo__img {
    width: 59px;
  }
  .header-drawer {
    height: calc(100vh - 120px);
    top: 120px;
  }
}

@media (min-width: 1024px) {
  .header-logo {
    gap: 15px;
  }
  .header-nuv__list {
    display: flex;
    gap: 20px;
  }
  .header-bnr {
    margin-left: 30px;
  }
  a.header-bnr__link {
    padding: 17px 20px 17px 22.3px;
  }
  a.header-bnr__link p {
    font-size: 14px;
  }
  .header-drawer {
    width: 30%;
  }
}